Skip to main content
Version: 10.1

Zone Current Revision Resource

Description​

This resource is for checking the various revisions of other resources that are applied to a zone. In rWeb, allow lists, block lists (including block list exception entries), regexes, and general zone mitigation configuration are each tracked separately for configuration history.

GET /zones/:ID/revisions/current​

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe unique numeric ID of the zone. 

GET Response Values​

NameTypeDescription
block_list_resourceJSON StringThe block list resource that is currently applied to the zone.
src_allow_list_resourceJSON StringThe source allow list resource that is currently applied to the zone.
dst_allow_list_resourceJSON StringThe destination allow list resource that is currently applied to the zone.
configuration_resourceJSON StringThe zone configuration resource that is currently applied to the zone.
regex_resourceJSON StringThe regex resource that is currently applied to the zone.

Example GET Request​

 GET /zones/2031/revisions/current

Example GET Response​

{
"block_list_resource": "/zones/2031/revisions/10/block_lists",
"src_allow_list_resource": "/zones/2031/revisions/4/src_allow_lists",
"dst_allow_list_resource": "/zones/2031/revisions/5/dst_allow_lists",
"configuration_resource": "/zones/2031/revisions/13/configurations",
"regex_resource": "/zones/2031/revisions/1/rulesets"
}